# Uses of Interface
org.eclipse.jdt.core.IBuffer

Packages that use IBuffer
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of IBuffer in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IBuffer
Modifier and Type
Method
Description
`IBuffer`
IBufferFactory.`createBuffer(IOpenable owner)`
Deprecated.
Creates a buffer for the given owner.
`IBuffer`
WorkingCopyOwner.`createBuffer(ICompilationUnit workingCopy)`
Creates a buffer for the given working copy.
`IBuffer`
BufferChangedEvent.`getBuffer()`
Returns the buffer which has changed.
`IBuffer`
IOpenable.`getBuffer()`
Returns the buffer opened for this element, or `null` if this element does not have a buffer.
Constructors in org.eclipse.jdt.core with parameters of type IBuffer
Modifier
Constructor
Description
``
`BufferChangedEvent(IBuffer buffer, int offset, int length, String text)`
Creates a new buffer changed event indicating that the given buffer has changed.